using System.ComponentModel.DataAnnotations.Schema;
using System.ComponentModel.DataAnnotations;
using Microsoft.EntityFrameworkCore;

/// <summary>
/// 사용자단 회원 수신, 알림 각종 동의 여부 모음
/// </summary>
namespace bitforum.Models.User
{
    [Table("MemberApprove")]
    [Comment("회원 동의 및 수신 여부")]
    public class MemberApprove
    {
        [Key]
        [ForeignKey("Member")]
        [Comment("회원 ID")]
        public int ID { get; set; }

        [Required]
        [Comment("SMS 수신 여부")]
        public bool IsReceiveSMS { get; set; } = false;

        [Required]
        [Comment("E-MAIL 수신 여부")]
        public bool IsReceiveEmail { get; set; } = false;

        [Required]
        [Comment("쪽지 수신 여부")]
        public bool IsReceiveNote { get; set; } = false;

        [Required]
        [Comment("투자 현황 공개 여부")]
        public bool IsDisclosureInvest { get; set; } = false;

        public Member Member { get; set; }
    }
}
